package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCInterface extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMInterface dm=(QMInterface)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addBooleanAttribute("generate",dm.generate);

		startElement("interface");

		doCvt(dm.remList,null);
		doCvt(dm.extendsList,null);
		doCvt(dm.targetClass,null);
		doCvt(dm.propertyList,dm);

		endElement("interface");
	}
}
